CREATE TABLE LogPrestRec ( 
Numero INT DEFAULT (0) NOT NULL,
Fecha SMALLDATETIME NOT NULL,
FechaArc SMALLDATETIME NOT NULL,
EstadoProc INT DEFAULT (0) NOT NULL,
Observacion VARCHAR(250),
NomArchivo VARCHAR(50) NOT NULL,
TimeSys SMALLDATETIME NOT NULL,
IdUsuario VARCHAR(11) NOT NULL,
Nombre VARCHAR(50) NOT NULL
 CONSTRAINT PK_LogPrestRec PRIMARY KEY CLUSTERED (Numero),
 CONSTRAINT CK_LogPrestRecIdUsuario CHECK ((len([IdUsuario]) > 0)),
 CONSTRAINT CK_LogPrestRecNomArchivo CHECK ((len([NomArchivo]) > 0)),
 CONSTRAINT CK_LogPrestRecNombre CHECK ((len([Nombre]) > 0)))
CREATE TABLE LogPrestRecDet ( 
Numero INT DEFAULT (0) NOT NULL,
Item INT DEFAULT (0) NOT NULL,
FechaLiq SMALLDATETIME NOT NULL,
IdCliente VARCHAR(16) NOT NULL,
NomCliente VARCHAR(150) NOT NULL,
ValorRec MONEY DEFAULT (0) NOT NULL,
TipoPrest VARCHAR(50),
Referencia VARCHAR(50),
Estado INT DEFAULT (0) NOT NULL,
NumRecibo INT DEFAULT (0) NOT NULL,
IdCiaRec CHAR(2) DEFAULT ('00') NOT NULL,
FechaRec SMALLDATETIME NOT NULL,
DescRegistro VARCHAR(250),
Comentario VARCHAR(250)
 CONSTRAINT PK_LogPrestRecDet PRIMARY KEY CLUSTERED (Numero,Item),
 CONSTRAINT CK_LogPrestRecDetIdCiaRec CHECK ((len([IdCiaRec]) > 0)),
 CONSTRAINT CK_LogPrestRecDetIdCliente CHECK ((len([IdCliente]) > 0)),
 CONSTRAINT CK_LogPrestRecDetNomCliente CHECK ((len([NomCliente]) > 0)))
CREATE TABLE LogPrestFact ( 
Numero INT DEFAULT (0) NOT NULL,
Fecha SMALLDATETIME NOT NULL,
TipoProc VARCHAR(10) NOT NULL,
EstadoProc INT DEFAULT (0) NOT NULL,
Observacion VARCHAR(250),
TimeSys SMALLDATETIME NOT NULL,
IdUsuario VARCHAR(11) NOT NULL,
Nombre VARCHAR(50) NOT NULL
 CONSTRAINT PK_LogPrestFact PRIMARY KEY CLUSTERED (Numero),
 CONSTRAINT CK_LogPrestFactIdUsuario CHECK ((len([IdUsuario]) > 0)),
 CONSTRAINT CK_LogPrestFactNombre CHECK ((len([Nombre]) > 0)),
 CONSTRAINT CK_LogPrestFactTipoProc CHECK ((len([TipoProc]) > 0)))
CREATE TABLE LogPrestFactDet ( 
Numero INT DEFAULT (0) NOT NULL,
Item INT DEFAULT (0) NOT NULL,
TipDoc VARCHAR(3) NOT NULL,
IdPrestamo INT DEFAULT (0) NOT NULL,
IdCia CHAR(2) NOT NULL,
ItemCuo INT DEFAULT (0) NOT NULL,
NumCuota INT DEFAULT (0) NOT NULL,
Fecha SMALLDATETIME NOT NULL,
FecVence SMALLDATETIME NOT NULL,
VrTotal MONEY DEFAULT (0) NOT NULL,
TasaEfeMes DECIMAL(16,8) DEFAULT (0) NOT NULL,
TasaEfeDia DECIMAL(16,8) DEFAULT (0) NOT NULL,
IdCliente VARCHAR(16) NOT NULL,
IdAgencia VARCHAR(16) NOT NULL,
IdVend VARCHAR(16),
Concepto VARCHAR(10),
CodLinCred VARCHAR(4),
FecInicio SMALLDATETIME,
FecFinal SMALLDATETIME,
DiasLiquida DECIMAL(14,4) DEFAULT (0) NOT NULL,
Estado INT DEFAULT (0) NOT NULL,
TipFac VARCHAR(3) DEFAULT ('0') NOT NULL,
Factura INT DEFAULT (0) NOT NULL,
IdCiaFac CHAR(2) DEFAULT ('00') NOT NULL,
FechaFac SMALLDATETIME,
Referencia VARCHAR(50),
Comentario VARCHAR(250),
NomCliente VARCHAR(150)
 CONSTRAINT PK_LogPrestFactDet PRIMARY KEY CLUSTERED (Numero,Item),
 CONSTRAINT CK_LogPrestFactDetIdAgencia CHECK ((len([IdAgencia]) > 0)),
 CONSTRAINT CK_LogPrestFactDetIdCia CHECK ((len([IdCia]) > 0)),
 CONSTRAINT CK_LogPrestFactDetIdCiaFac CHECK ((len([IdCiaFac]) > 0)),
 CONSTRAINT CK_LogPrestFactDetIdCliente CHECK ((len([IdCliente]) > 0)),
 CONSTRAINT CK_LogPrestFactDetTipDoc CHECK ((len([TipDoc]) > 0)),
 CONSTRAINT CK_LogPrestFactDetTipFac CHECK ((len([TipFac]) > 0)))
GO
ALTER TABLE LogPrestRecDet ADD 
 CONSTRAINT FK_LogPrestRecDet_LogPrestRec FOREIGN KEY (Numero) REFERENCES [dbo].[LogPrestRec] (Numero)
ALTER TABLE LogPrestFactDet ADD 
 CONSTRAINT FK_LogPrestFactDet_LogPrestFact FOREIGN KEY (Numero) REFERENCES [dbo].[LogPrestFact] (Numero)
 CREATE NONCLUSTERED INDEX IX_LogPrestFactDetIdPrestamo ON LogPrestFactDet(TipDoc,IdPrestamo,IdCia)
 CREATE NONCLUSTERED INDEX IX_LogPrestFactDetIdCliente ON LogPrestFactDet(IdCliente)
